#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

override_dh_auto_configure:
	dh_auto_configure -- --enable-static --disable-shared \
        --disable-binreloc --enable-miredo-user \
        --disable-sample-conf --with-Judy --disable-assert

override_dh_auto_clean:
	dh_auto_clean
	git checkout ChangeLog configure || true  # restore files changed by build

override_dh_install:
	rm -rf debian/tmp/usr/include
	rm -rf debian/tmp/usr/lib/*.*a
	dh_install

override_dh_installdocs:
	dh_installdocs -A README TODO AUTHORS THANKS NEWS

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

# disable test suite
override_dh_auto_test:

%:
	dh $@
